For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Compensation reason details

Get Compensation reason details

get
/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
compensationReasonUidstringRequired

Reference to a compensation reason.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
get/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
GET /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}

Last updated

Was this helpful?